[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

apt broken dependencies



Hi,
i have upgraded my instalation of debian stable to testing. My
repository list looks like this:

t# cat /etc/apt/sources.list
deb ftp://ftp.sk.debian.org/debian/ stable main
deb ftp://ftp.cz.debian.org/debian/ stable main
deb http://security.debian.org/ stable/updates main
deb ftp://ftp.sk.debian.org/debian/ testing main
deb ftp://ftp.cz.debian.org/debian/ testing main
deb http://security.debian.org/ testing/updates main
deb http://www.backports.org/pending/openoffice.org/ ./
deb http://download.skype.com/linux/repos/debian/ stable non-free

Now i have problem with broken dependencies. When i try to run:

t# apt-get install k3b
Reading package lists... Done
Building dependency tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  k3b: Depends: k3blibs (>= 0.11.20) but it is not going to be installed
       Depends: kdelibs4 (>= 4:3.3.2-1) but it is not going to be
installed
       Depends: libarts1 (>= 1.3.2) but it is not going to be installed
       Depends: libqt3c102-mt (>= 3:3.3.3) but it is not going to be
installed
E: Broken packages

Then i try tu install k3blibs, and other and i go on and on. 
Do you now some commands, that will check dependencies and repare broken
packages?
Thanks




Reply to: